Description

To ensure that actions in the backend have an accordant and correct impact in the frontend, a frontend request needs to be triggered
from the functional test execution.
The response of that simulated frontend request shall be delivered as JSON, exceptions need to be caught and forwarded to the test
suite as well.
Besides that, it is required to have a possibility to set up TypoScript configuration, modify TCA and TYPO3_CONF_VARS for further
hook processing.

Related issues:
related to Core - Task # 56104: Enable DataHandler frontend rendering tests Resolved 2014-02-19

Associated revisions
Revision 4231f415 - 2014-02-19 14:59 - Oliver Hader

[TASK] Add framework for frontend rendering functional tests

To ensure that actions in the backend have an accordant and
correct impact in the frontend, a frontend request needs to
be triggered from the functional test execution.
The response of that simulated frontend request shall be
delivered as JSON, exceptions need to be caught and
forwarded to the test suite as well. Besides that, it is
required to have a possibility to set up TypoScript
configuration, modify TCA and TYPO3_CONF_VARS for further
hook processing.

Resolves: #55882
Releases: 6.2
Change-Id: I54d475e8f1ce01fd7cb8c64b68c2318b1e9f7bbe
Reviewed-on: https://review.typo3.org/27413
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2014-02-11 16:03 - Gerrit Code Review
- Status changed from New to Under Review
https://review.typo3.org/27413


Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27413

#2 - 2014-02-11 16:05 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27413

#3 - 2014-02-11 17:00 - Oliver Hader
- Subject changed from Integration frontend rendering functional tests to Integrate frontend rendering functional tests

#4 - 2014-02-11 17:00 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27413

#5 - 2014-02-11 20:12 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27413

#6 - 2014-02-12 17:35 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27413

#7 - 2014-02-13 10:42 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27413

#8 - 2014-02-14 14:05 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27413

#9 - 2014-02-14 17:36 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27413

#10 - 2014-02-14 18:50 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

2015-08-04 2/3

https://review.typo3.org/27413
https://review.typo3.org/27413
https://review.typo3.org/27413
https://review.typo3.org/27413
https://review.typo3.org/27413
https://review.typo3.org/27413
https://review.typo3.org/27413
https://review.typo3.org/27413


It is available at https://review.typo3.org/27413

#11 - 2014-02-17 08:20 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27413

#12 - 2014-02-18 00:43 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27413

#13 - 2014-02-19 09:51 - Oliver Hader
- Subject changed from Integrate frontend rendering functional tests to Integrate framework for frontend rendering functional tests

#14 - 2014-02-19 09:52 - Oliver Hader
- Subject changed from Integrate framework for frontend rendering functional tests to Add framework for frontend rendering functional tests

#15 - 2014-02-19 09:52 - Gerrit Code Review

Patch set 16 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27413

#16 - 2014-02-19 10:07 - Gerrit Code Review

Patch set 17 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27413

#17 - 2014-02-19 13:24 - Gerrit Code Review

Patch set 18 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27413

#18 - 2014-02-19 15:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4231f415e510fb64d18545944598fc3c4358a47b.
